Package javassist.compiler.ast

# Class Pair

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.Pair

All Implemented Interfaces:
  `Serializable`

public class Pair extends ASTree
A node of a a binary tree. This class provides concrete methods overriding abstract methods in ASTree.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Pair(ASTree _left, ASTree _right)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`ASTree`
`getLeft()`
`ASTree`
`getRight()`
`void`
`setLeft(ASTree _left)`
`void`
`setRight(ASTree _right)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pair

public Pair(ASTree _left, ASTree _right)

## Method Details

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Specified by:
  `accept` in class `ASTree`
Throws:
  `javassist.compiler.CompileError`

### toString

public String toString()

Overrides:
  `toString` in class `ASTree`

### getLeft

public ASTree getLeft()

Overrides:
  `getLeft` in class `ASTree`

### getRight

public ASTree getRight()

Overrides:
  `getRight` in class `ASTree`

### setLeft

public void setLeft(ASTree _left)

Overrides:
  `setLeft` in class `ASTree`

### setRight

public void setRight(ASTree _right)

Overrides:
  `setRight` in class `ASTree`